
Efl_Ui_Spotlight_Container *_efl_ui_spotlight_util_stack_gen(Efl_Ui_Widget *parent);

EAPI EAPI_WEAK Efl_Ui_Spotlight_Container * efl_ui_spotlight_util_stack_gen(Efl_Ui_Widget *parent)
{
   const Efl_Class *klass = efl_ui_spotlight_util_class_get();
   EINA_SAFETY_ON_NULL_RETURN_VAL(klass,NULL);
   return _efl_ui_spotlight_util_stack_gen(parent);
}

static Eina_Bool
_efl_ui_spotlight_util_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifdef EFL_UI_SPOTLIGHT_UTIL_EXTRA_OPS
   EFL_OPS_DEFINE(ops, EFL_UI_SPOTLIGHT_UTIL_EXTRA_OPS);
   opsp = &ops;
#endif

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_spotlight_util_class_desc = {
   EO_VERSION,
   "Efl.Ui.Spotlight.Util",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Spotlight_Util_Data),
   _efl_ui_spotlight_util_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_spotlight_util_class_get, &_efl_ui_spotlight_util_class_desc, NULL, NULL);
